std Namespace Reference

## Functions

template<typename T >
void | swap (Ogre::SmallVectorImpl< T > &LHS, Ogre::SmallVectorImpl< T > &RHS)
| Implement std::swap in terms of SmallVector swap.
template<typename T , unsigned N>
void | swap (Ogre::SmallVector< T, N > &LHS, Ogre::SmallVector< T, N > &RHS)
| Implement std::swap in terms of SmallVector swap.

## Function Documentation

template<typename T >

void std::swap | ( | Ogre::SmallVectorImpl< T > & | LHS,
|  | Ogre::SmallVectorImpl< T > & | RHS
| ) |  |

Implement std::swap in terms of SmallVector swap.

Definition at line 802 of file OgreSmallVector.h.

References Ogre::SmallVectorImpl< T >::swap().

Referenced by Ogre::Vector2::swap(), Ogre::Vector3::swap(), Ogre::Vector4::swap(), Ogre::Quaternion::swap(), Ogre::Matrix3::swap(), Ogre::DualQuaternion::swap(), Ogre::Matrix4::swap(), and Ogre::SmallVectorImpl< T >::swap().

template<typename T , unsigned N>

void std::swap | ( | Ogre::SmallVector< T, N > & | LHS,
|  | Ogre::SmallVector< T, N > & | RHS
| ) |  |

Implement std::swap in terms of SmallVector swap.

Definition at line 809 of file OgreSmallVector.h.

References Ogre::SmallVectorImpl< T >::swap().

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:07